<!DOCTYPE html>
<html>
<meta charset="utf-8" />
<title>La bonne cuisine - revue de code</title>
<style>
table { border-collapse:collapse; }
td, th { border: 1px solid gray; }
</style>
<body>
	<h2>Revue de code</h2>
	<section>
		<p>Auteur du code : MB</p>
		<p>Relecteur : MB</p>
		<p>Date : 2022-01-05 16:30</p>
	 	<p>Projet : cuisine 2</p>
	</section>
	<h2>Liste</h2>
	<table>
	    <tr>
	        <th>Catégorie</th>
	        <th>Id</th>
	        <th>Lieu</th>
	        <th>Titre</th>
	        <th>Description</th>
	        <th>Solution</th>
		</tr>
		<tr>
		    <th>Code illisible/inutile/simplifiable</th><td>1</td><td>gastromy.jsp:10</td><td>attribut inutile</td>
		    <td>L'attribut name est inutile dans ce contexte</td>
		    <td>Supprimer</td>
		</tr>
		<tr>
		    <th></th><td>2</td><td>gastromy.jsp:37</td><td>initialisation inutile</td>
		    <td>Il n'est pas nécessaire de créer dishes, ça n'a aucune conséquence</td>
		    <td>Supprimer l'intialisation</td>
		</tr>
		<tr>
		    <th></th><td>3</td><td>Gastronomycontroller.java:47</td><td>fonction getter inutile</td>
		    <td>Ce service est injecté avec le setter, jamais il ne sera lu</td>
		    <td>Supprimer</td>
		</tr>
		<tr>
		    <th></th><td>4</td><td>GastronomyWPReader.java:74</td><td>test inutile</td>
		    <td>Le test >10 est suffisant</td>
		    <td>Supprimer le test isEmpty()</td>
		</tr>
		<tr>
		    <th></th><td>5</td><td>GastronomyWPReader.java:101</td><td>ligne de relecture inutile</td>
		    <td>La page a déjà été lue une fois</td>
		    <td>Supprimer</td>
		</tr>
		<tr>
		    <th>Respect de normes et homogénéité</th><td>6</td><td>gastromy.jsp:8</td><td>2 include différents</td>
		    <td>Il n'y a aucune raison de varier le type d'include dans cette JSP</td>
		    <td>Utiliser partout &lt;jsp:include</td>
		</tr>
		<tr>
		    <th></th><td>7</td><td>gastromy.jsp:18</td><td>erreur de nommage u1Result</td>
		    <td>Erreur de nommage manifeste</td>
		    <td>Renommer en ulResult</td>
		</tr>
		<tr>
		    <th></th><td>8</td><td>GastronomyController.java:42</td><td>getDishes pour un seul plat</td>
		    <td>Erreur de nommage manifeste</td>
		    <td>Renommer en getDish() ou getOneDish()</td>
		</tr>
		<tr>
		    <th></th><td>9</td><td>GastronomyWPReader.java:65</td><td>Erreur majuscule ParagraphRegexp</td>
		    <td>Erreur de convention de nommage</td>
		    <td>Renommer paragraphRegexp</td>
		</tr>
		<tr>
		    <th></th><td>10</td><td>GastronomyWPReader.java:123</td><td>Erreur français/anglais</td>
		    <td>Erreur de convention de nommage (anglais)</td>
		    <td>Renommer en response</td>
		</tr>
		<tr>
		    <th>Documentation et log incorrects ou manquants</th><td>11</td><td>gastromy.jsp:32</td><td>Commentaire faux</td>
		    <td>La fonction est appelée beaucoup plus souvent</td>
		    <td>Remplacer par "Appelée pendant la requête/réponse AJAX"</td>
		</tr>
		<tr>
		    <th></th><td>12</td><td>GastronomyController.java:37</td><td>Commentaire faux</td>
		    <td>Le numéro commence à 0</td>
		    <td>Remplacer 1 par 0</td>
		</tr>
		<tr>
		    <th></th><td>13</td><td>GastronomyWPReader.java:42</td><td>Mauvaise classe de log</td>
		    <td>Une autre classe que celle en cours est utilisée</td>
		    <td>Renommer GastronomyWPReader.class</td>
		</tr>
		<tr>
		    <th></th><td>14</td><td>GastronomyWPReader.java:59</td><td>Commentaire faux</td>
		    <td>Le retour est du texte brut</td>
		    <td>Indiquer "texte brut" et non HTML</td>
		</tr>
		<tr>
		    <th></th><td>15</td><td>GastronomyWPReader.java:116</td><td>Log faux</td>
		    <td>On écrit rien, on lit seulement</td>
		    <td>Réécrire "lit"</td>
		</tr>
		<tr>
		    <th>Robustesse, bugs potentiels, données imprévues</th><td>16</td><td>gastromy.jsp:27</td><td>Envoi avant finition</td>
		    <td>Possiblement, le retour arrive sans être traité (race condition)</td>
		    <td>Inverser .send() et .onreadystatechange</td>
		</tr>
		<tr>
		    <th></th><td>17</td><td>gastromy.jsp:32</td><td>Code 200 non testé</td>
		    <td>Possiblement une erreur est subvenue</td>
		    <td>Ajouter le test this.status == 200</td>
		</tr>
		<tr>
		    <th></th><td>18</td><td>GastronomyWPReader.java:62</td><td>Constante en dur</td>
		    <td>C'est moins modifiable qu'avec une constante</td>
		    <td>Créer une constante</td>
		</tr>
		<tr>
		    <th></th><td>19</td><td>GastronomyWPReader.java:65</td><td>Majuscules ignorées</td>
		    <td>Ca ne trouve plus sans majuscules</td>
		    <td>Améliorer la regexp</td>
		</tr>
		<tr>
		    <th></th><td>20</td><td>GastronomyWPReader.java:117</td><td>Encodage ignorées</td>
		    <td>Ca n'envoie pas les caractères spéciaux</td>
		    <td>Encoder l'URL</td>
		</tr>
	</table>
</body>
</html>
